# Interface IExternalAdvancedSearchSection

Describe a section populated by external code, using the AdvancedSearchEvents.buildingAdvancedSearch

## Index

### Properties

- content
- inputs
- name
- updateQuery

## Properties

### content

content: HTMLElement

- Defined in ui/AdvancedSearch/AdvancedSearchInput.ts :60

The content to add to the external section, as an HTMLElement.

### inputs

inputs: (IAdvancedSearchInput | IAdvancedSearchPrebuiltInput)[]

Inherited from IAdvancedSearchSection.inputs

- Defined in ui/AdvancedSearch/AdvancedSearchInput.ts :42

The array of inputs to populate.

External code should only push inputs that match the type BaseFormTypes.

### name

name: string

Inherited from IAdvancedSearchSection.name

- Defined in ui/AdvancedSearch/AdvancedSearchInput.ts :36

The name of the section.

### updateQuery

updateQuery: function

- Defined in ui/AdvancedSearch/AdvancedSearchInput.ts :56

A handler to execute every time a new query is launched.

The handler will receive the inputs used to build the external section, as well as the queryBuilder object to allow to modify the query.

param
param

#### Type declaration

- - (inputs: BaseFormTypes[], queryBuilder: QueryBuilder): void

  - #### Parameters

    - ##### inputs: BaseFormTypes[]

    - ##### queryBuilder: QueryBuilder

    #### Returns void

### Hierarchy

- IAdvancedSearchSection